//load the file system module
var fs = require("fs");
console.log("Starting");

fs.writeFileSync("./files/write_sync.txt", "Hello world sync");

fs.writeFile("./files/write.txt", "Hello world async", function(error) {
 console.log("Finished writing the file");
});

fs.readFile("./files/sample.txt", function(error, data) { 
 console.log("Contents: " + data);
});

var content = fs.readFileSync("./files/sample.txt");
console.log("Sync file Read: " + content);
console.log("Carry on processing");

var config = fs.readFileSync("./files/config.json");
console.log("Config data: " + config);
var configdata = JSON.parse(config);
console.log("Username: ", configdata.username);

fs.watchFile("./files/config.json", function(current, prev) {
 console.log("Config Changed");
 configdata = JSON.parse(fs.readFileSync("./files/config.json"));
console.log("new config data", configdata);
});
console.log("Carry on processing");

